# Easy Diary FAQs

This is the list of Frequently asked questions for Easy Diary. It is intended to serve as a self-service utility document. This is to aid new users or already existing users of Easy Diary. This document may be updated from time to time to suit any new changes to the software as new developments or changes will be implemented.

---

## What is a Diary?

- A diary is a private place where you write down your feelings, thoughts and opinions, as well as record events and discuss experiences.

---

## What is Easy Diary?

- Easy Diary is a diary application that is optimized to give you the best user experience. The application is design with many amazing features that you won't find on a regular diary app. 

The features/functions of the app include;


- Write a diary (voice or keypad)
- Search diary
- Read Diary
- Edit Diary
- Chart
- Calendar
- Diary Card
- Time Line
- Advanced Settings
     - Font Setting
     - Lock Setting(PIN or Fingerprint)
     - Theme Setting
     - Backup and Recovery

---

## Do I have to sign up or register before using Easy Diary?

- Easy Diary doesn't require any registration or sign up process before users can make use of it. Download, and start writing, or recording whatever you wish of your daily activities.

---

## Easy Diary comes preloaded with diary entries, why?

- Yes, the app comes with preloaded entries. This is so that you can get a feel of how your own entries would look like on the app. 

---

## Can I delete these preloaded entries?

- Yes, you are free to delete the preloaded entries. You can also edit the entries if you wish.

---

## How can I delete them?

To delete a preloaded entry or any other entry you created;
- Open the entry
- Click on the 3 dots button at the top right of the app
- Click delete

---

## How can I edit an entry?

To edit an entry either preloaded or created by you;
- Open the entry
- Click on the edit button, and make the desired changes you want. 

*The edit button is represented by the first icon from the left, at the top left area of the app*  

---

## How do I create a new entry?

This is the basic thing you can do on the app. To create a new entry, simply click the icon on the bottom corner of the app, to get started. 

You can add extra information to your entries. Like weather and time. 


---

## Can my entries be written in markdown?

- No, this feature is not currently supported on the app. 

---

## Is there a maximum length of word I can write on an entry?

- No, there is no limit to how many words can be used in an entry. You can't write as long as you want. However, it is advisable to keep your entry short, for easy readability next time. 



## How can I use the voice entry feature?

- To enter the contents of your entry with your voice, simply click on the microphone icon. When you click it, you get the prompt to speak whatever you wish to input.
- You can also use your keyboard if it supports speech input method. 

---


## Can I attach photos to my entry?

- Yes, you can attach photos to your entry. 
- You can do this by clicking on the icon photo icon on the bottom of the entry page. 

---

## Can I add multiple photos at a time?

- Yes. you can add multiple photos at a time, but, you need to activate it.

Access the settings page and enable the `multi picker setting`

---

## Why can't I add pictures using a camera, directly on the app?

- This feature is not currently available, but, it is on my to-do list and would be available soon. 

---

## Can other media like audio and video be added to my entry?

No, audio and video cannot be added to your entries at the moment. 

---

## What is a Diary postcard?

- You can convert you diary entries into postcards and share to other people, if you desire it. 

---

## How can I make a postcard out of my entry?

- Open the entry you created and click on the third icon located at the top left. Which is to create a postcard.
- You can customize the font size, font text and background colours to your desire. 

---

## Can I customize the user interface of the app?

Yes, the user interface of the app is highly customizable. You can customize the colour schemes, font size, font spacing and font colour. You can also add your own fonts.

[Read how to add your own custom fonts to the app](https://github.com/hanjoongcho/aaf-easydiary/blob/master/MANUAL.md)

There are some other useful customizations you will find on the settings page. 

---

## Can I set up a security measure on the app?

Yes, you can do that. You can protect access to the app by setting up a security measure. 
You can secure the app with a pin code or with your fingerprint. 
The fingerprint method is still in its beta stages, so you might experience some issues using it. 

---

## Where can I download Easy Diary?

- Easy Diary can be downloaded from [F-Droid](https://f-droid.org/en/packages/me.blog.korn123.easydiary) or [Google Play store](https://play.google.com/store/apps/details?id=me.blog.korn123.easydiary).

---

## Are there other OS versions of  Easy Diary?

- For now, this app is only available to use by Android users. I am currently working on making the Android experience as amazing as possible. Only then will porting to other platforms be considered. 

---

## Do I need to pay to use any feature on the app?

No, you don't need to pay any fee to use any feature available on the app. All the services of the app are provided for free.
The app is also rid of unnecessary ads and pop-ups. 


## Can I contribute to Easy Diary project?

Yes, please!

Feel free to share your ideas(feature requests), submit a bug or pull request for anything you feel should be added.

This project is opened to contributions of any kind. You can also fork the project and further develop it on your own so long as you work within the confines of the license. Pull requests of your contributions will be merged if they fulfil some certain requirements. Read the project's [Contributor's guide]() to get started on how to contribute.

## I have some questions not contained in this FAQs document, how can I contact the developer?

For further inquiries, you can contact the developer via email. Send an email to hanjoongcho@gmail.com. The developer can also be contacted by opening an [issue](https://github.com/hanjoongcho/aaf-easydiary/issues/new) on the repository.

You can also check out the developer's profile [here](https://github.com/hanjoongcho).
